Name: icinga-businessprocess
Version: 2.5.1+0.g3403b60
Release: 1731680743.fc41
Summary: Rule-based visualization and monitoring of hierarchical business processes
Group: Productivity/Networking/Web/Frontends

License: GPLv2

URL: https://icinga.com

Source0: icinga-businessprocess-2.5.1+0.g3403b60.tgz

Requires: icinga-businessprocess-web = 2.5.1+0.g3403b60-1731680743.fc41

BuildArch: noarch

%description
Icinga Businessprocess offers rule-based visualization and monitoring of hierarchical business processes composed of
objects monitored by Icinga. Create top-level views of applications in a graphical editor.
Rules express dependencies between hosts, services and other processes. Create alerts on application level.
Business processes are displayed in a tree or list overview.

%package web
Summary: Icinga Businessprocess web files

Requires: icingaweb2 >= 2.10.3
Requires: icinga-php-library >= 0.13.0
Requires: icinga-php-thirdparty >= 0.12.0

%description web
Web files for Icinga Businessprocess.

%prep
%autosetup

%install
install -dpm 0755 %_topdir/BUILD/icinga-businessprocess-2.5.1+0.g3403b60-build/BUILDROOT/usr/share/icingaweb2/modules/businessprocess
cp -prv * %_topdir/BUILD/icinga-businessprocess-2.5.1+0.g3403b60-build/BUILDROOT/usr/share/icingaweb2/modules/businessprocess

%files

%files web
%doc README.md
%docdir /usr/share/icingaweb2/modules/businessprocess/doc
%license LICENSE
/usr/share/icingaweb2/modules/businessprocess

%post web
if [ $1 == 1 ]; then
ln -sf /usr/share/icingaweb2/modules/businessprocess /etc/icingaweb2/enabledModules/businessprocess
fi

%preun web
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/businessprocess
fi

%changelog
* Fri Nov 15 2024 Icinga GmbH <info@icinga.com> - 2.5.1+0.g3403b60-1731680743.fc41
- Version 2.5.1+0.g3403b60-1731680743

